/**
 * This file is part of the NocoBase (R) project.
 * Copyright (c) 2020-2024 NocoBase Co., Ltd.
 * Authors: NocoBase Team.
 *
 * This project is dual-licensed under AGPL-3.0 and NocoBase Commercial License.
 * For more information, please refer to: https://www.nocobase.com/agreement.
 */
import { Plugin } from '@nocobase/client';
import { Trigger } from './triggers';
import { Instruction } from './nodes';
export default class PluginWorkflowClient extends Plugin {
    triggers: any;
    instructions: any;
    getTriggersOptions: () => {
        value: any;
        label: any;
        color: string;
        options: {
            [x: string]: any;
        };
    }[];
    isWorkflowSync(workflow: any): any;
    registerTrigger(type: string, trigger: Trigger | {
        new (): Trigger;
    }): void;
    registerInstruction(type: string, instruction: Instruction | {
        new (): Instruction;
    }): void;
    load(): Promise<void>;
}
export * from './Branch';
export * from './FlowContext';
export * from './constants';
export * from './nodes';
export { Trigger, useTrigger } from './triggers';
export * from './variable';
export * from './components';
export * from './utils';
export * from './hooks';
export { default as useStyles } from './style';
export * from './variable';
export * from './ExecutionContextProvider';
